For the complete documentation index, see llms.txt. This page is also available as Markdown.

集成

Edgegap 的会话编排服务 API;每个匹配器和服务器浏览器实例的私有 API 都与 Edgegap API 分开管理。

⭐ 匹配系统

每个匹配器都管理其自己的私有 API,独立于您组织的 Edgegap API。

将 API 规范导入到 Scalar API Web 客户端 注入的变量(Injected Variables) Swagger 编辑器 以查看详细信息。

🧭 服务器浏览器

每个匹配器都管理其自己的私有 API,独立于您组织的 Edgegap API。

🗺️ 位置

List Cloud Locations

get

List all locations available for cloud deployment. Optionally specify an app version to remove locations with insufficient capacity to deploy at this time.

授权
Authorizationstring必填
查询参数
appstring可选

Custom identifier.

Example: my-game-server
versionstring可选

Custom version identifier, often a timestamp or a build ID.

Example: 2024.01.30-16.23.00-UTC
pageinteger · 最小值: 1可选Example: 2
limitinteger · 最小值: 1可选Example: 20
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
200

Success

application/json
messagesstring[]可选

Additional information regarding locations.

Example: [""]
total_countinteger必填Example: 100
get/v1/locations
GET /v1/locations HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "locations": [
    {
      "city": "Montreal",
      "country": "Canada",
      "continent": "North America",
      "administrative_division": "Quebec",
      "timezone": "Eastern Time",
      "latitude": 45.508888,
      "longitude": -73.561668
    }
  ],
  "messages": [
    ""
  ],
  "total_count": 100,
  "pagination": {
    "number": 1,
    "next_page_number": 2,
    "previous_page_number": 1,
    "paginator": {
      "num_pages": 10
    },
    "has_next": true,
    "has_previous": false
  }
}

🗼 信标

List Ping Beacons

get

List all active ping beacons.

授权
Authorizationstring必填
查询参数
pageinteger · 最小值: 1可选Example: 2
limitinteger · 最小值: 1可选Example: 20
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
200

Success

application/json
countinteger必填

Count of returned active ping beacons.

Example: 17
get/v1/locations/beacons
GET /v1/locations/beacons HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "locations": [
    {
      "host": "172.235.110.137",
      "fqdn": "b-51bfc6ad1864.pr.edgegap.net",
      "udp_port": 32167,
      "tcp_port": 32561,
      "location": {
        "city": "Montreal",
        "country": "Canada",
        "continent": "North America",
        "administrative_division": "Quebec",
        "timezone": "Eastern Time",
        "latitude": 45.508888,
        "longitude": -73.561668
      }
    }
  ],
  "count": 17
}

🗒️ 日志存储

Create a New Endpoint Storage

post

Create an endpoint storage to store your container logs at the end of a deployment.

授权
Authorizationstring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
请求体
namestring必填

Name of the Endpoint Storage

Example: my-s3-bucket
container_log_versionstring · enum可选

v1 (default, legacy) stores 1 file per deployment. v2 (enhanced) streams chunks of logs in real time.

Default: v1Example: v2可能的值:
access_key_idstring必填

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
endpointstring必填

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstring必填

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enum可选

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSON可能的值:
secret_access_keystring必填

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-secret-access
响应
200

Success

application/json
namestring必填

Name of the Endpoint Storage

Example: my-s3-bucket
container_log_versionstring · enum可选

v1 (default, legacy) stores 1 file per deployment. v2 (enhanced) streams chunks of logs in real time.

Default: v1Example: v2可能的值:
access_key_idstring必填

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
endpointstring必填

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstring必填

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enum可选

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSON可能的值:
create_timestring可选

UTC time of endpoint creation

Example: 2022-01-01 00:00:00.000000
last_updatedstring可选

UTC time of endpoint last update

Example: 2022-01-01 00:00:00.000000
post/v1/storage/endpoint
POST /v1/storage/endpoint HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 224

{
  "name": "my-s3-bucket",
  "container_log_version": "v2",
  "access_key_id": "my-access-key-id",
  "endpoint": "https://us-east-1.your-s3-provider.com",
  "bucket": "my-bucket",
  "output_format": "NDJSON",
  "secret_access_key": "my-secret-access"
}
{
  "name": "my-s3-bucket",
  "container_log_version": "v2",
  "access_key_id": "my-access-key-id",
  "endpoint": "https://us-east-1.your-s3-provider.com",
  "bucket": "my-bucket",
  "output_format": "NDJSON",
  "create_time": "2022-01-01 00:00:00.000000",
  "last_updated": "2022-01-01 00:00:00.000000"
}

Get an Endpoint Storage

get

Retrieve an endpoint storage. The secret_access_key won't be displayed.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
200

Success

application/json
namestring必填

Name of the Endpoint Storage

Example: my-s3-endpoint
container_log_versionstring · enum可选

v1 (default, legacy) stores 1 file per deployment. v2 (enhanced) streams chunks of logs in real time.

Default: v1Example: v2可能的值:
access_key_idstring必填

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
endpointstring必填

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstring必填

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enum可选

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSON可能的值:
create_timestring可选

UTC time of endpoint storage creation

Example: 2022-01-01 00:00:00.000000
last_updatedstring可选

UTC time of endpoint storage last update

Example: 2022-01-01 00:00:00.000000
get/v1/storage/endpoint/{endpoint_name}
GET /v1/storage/endpoint/{endpoint_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "name": "my-s3-endpoint",
  "container_log_version": "v2",
  "access_key_id": "my-access-key-id",
  "endpoint": "https://us-east-1.your-s3-provider.com",
  "bucket": "my-bucket",
  "output_format": "NDJSON",
  "create_time": "2022-01-01 00:00:00.000000",
  "last_updated": "2022-01-01 00:00:00.000000"
}

List All Endpoint Storage

get

List all endpoint storage.

授权
Authorizationstring必填
查询参数
pageinteger · 最小值: 1可选Example: 2
limitinteger · 最小值: 1可选Example: 20
头参数
X-Fieldsstring · mask可选

An optional fields mask

Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
200

Success

application/json
paginationany可选
get/v1/storage/endpoints
GET /v1/storage/endpoints HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "endpoints": [
    {
      "name": "my-s3-endpoint",
      "container_log_version": "v2",
      "access_key_id": "my-access-key-id",
      "endpoint": "https://us-east-1.your-s3-provider.com",
      "bucket": "my-bucket",
      "output_format": "NDJSON",
      "create_time": "2022-01-01 00:00:00.000000",
      "last_updated": "2022-01-01 00:00:00.000000"
    }
  ],
  "pagination": null
}

Update an Endpoint Storage

patch

Update an Endpoint Storage with new specifications.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
请求体
namestring可选

Name of the Endpoint Storage

Example: my-s3-endpoint
container_log_versionstring · enum可选

v1 (default, legacy) stores 1 file per deployment. v2 (enhanced) streams chunks of logs in real time.

Default: v1Example: v2可能的值:
access_key_idstring可选

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
secret_access_keystring可选

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-secret-access
endpointstring可选

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstring可选

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enum可选

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSON可能的值:
响应
200

Success

application/json
namestring可选

Name of the Endpoint Storage

Example: my-s3-endpoint
container_log_versionstring · enum可选

v1 (default, legacy) stores 1 file per deployment. v2 (enhanced) streams chunks of logs in real time.

Default: v1Example: v2可能的值:
access_key_idstring可选

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
endpointstring可选

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstring可选

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enum可选

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSON可能的值:
create_timestring可选

UTC time of endpoint storage creation

Example: 2022-01-01 00:00:00.000000
last_updatedstring可选

UTC time of endpoint storage last update

Example: 2022-01-01 00:00:00.000000
patch/v1/storage/endpoint/{endpoint_name}
PATCH /v1/storage/endpoint/{endpoint_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 226

{
  "name": "my-s3-endpoint",
  "container_log_version": "v2",
  "access_key_id": "my-access-key-id",
  "secret_access_key": "my-secret-access",
  "endpoint": "https://us-east-1.your-s3-provider.com",
  "bucket": "my-bucket",
  "output_format": "NDJSON"
}
{
  "name": "my-s3-endpoint",
  "container_log_version": "v2",
  "access_key_id": "my-access-key-id",
  "endpoint": "https://us-east-1.your-s3-provider.com",
  "bucket": "my-bucket",
  "output_format": "NDJSON",
  "create_time": "2022-01-01 00:00:00.000000",
  "last_updated": "2022-01-01 00:00:00.000000"
}

Delete an Endpoint Storage

delete

Delete an endpoint storage. All the application versions linked to it won't be able to store logs anymore.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
204

No Content

无内容

delete/v1/storage/endpoint/{endpoint_name}
DELETE /v1/storage/endpoint/{endpoint_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*

无内容

Create a New Pull Profile

post

Create a pull profile. Pull profile will upload data from an endpoint storage to a deployment container on boot. You must link the application version to the pull profile first.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
请求体
namestring必填

Name of the pull profile

Example: pull_profile_name
sourcestring必填

Source in the S3 bucket to fetch from

Example: /my-bucket/config.cfg
source_typestring · enum必填

If the source is a File or a Directory

Example: File可能的值:
destinationstring必填

Destination path where your source will be uploaded in your container. Make sure to avoid protected destinations, such as /etc/, as this will prevent the files from being copied to your deployment, and will make your deployment fail. Make sure a normal user can write to the destination folder.

Example: /usr/share/configs
响应
200

Success

application/json
namestring必填

Name of the pull profile

Example: pull_profile_name
sourcestring必填

Source in the S3 bucket to fetch from

Example: /my-bucket/config.cfg
source_typestring · enum必填

If the source is a File or a Directory

Example: File可能的值:
destinationstring必填

Destination path where your source will be uploaded in your container. Make sure to avoid protected destinations, such as /etc/, as this will prevent the files from being copied to your deployment, and will make your deployment fail. Make sure a normal user can write to the destination folder.

Example: /usr/share/configs
create_timestring可选

UTC time of pull profile creation

Example: 2022-01-01 00:00:00.000000
last_updatedstring可选

UTC time of pull profile last update

Example: 2022-01-01 00:00:00.000000
post/v1/storage/endpoint/{endpoint_name}/pull-profile
POST /v1/storage/endpoint/{endpoint_name}/pull-profile HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "name": "pull_profile_name",
  "source": "/my-bucket/config.cfg",
  "source_type": "File",
  "destination": "/usr/share/configs"
}
{
  "name": "pull_profile_name",
  "source": "/my-bucket/config.cfg",
  "source_type": "File",
  "destination": "/usr/share/configs",
  "create_time": "2022-01-01 00:00:00.000000",
  "last_updated": "2022-01-01 00:00:00.000000"
}

Get a Pull Profile

get

Retrieve a pull profile and its specifications.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
pull_profile_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
200

Success

application/json
namestring必填

Name of the pull profile

Example: pull_profile_name
sourcestring必填

Source in the S3 bucket to fetch from

Example: /my-bucket/config.cfg
source_typestring · enum必填

If the source is a File or a Directory

Example: File可能的值:
destinationstring必填

Destination path where your source will be uploaded in your container. Make sure to avoid protected destinations, such as /etc/, as this will prevent the files from being copied to your deployment, and will make your deployment fail. Make sure a normal user can write to the destination folder.

Example: /usr/share/configs
create_timestring可选

UTC time of pull profile creation

Example: 2022-01-01 00:00:00.000000
last_updatedstring可选

UTC time of pull profile last update

Example: 2022-01-01 00:00:00.000000
get/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}
GET /v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "name": "pull_profile_name",
  "source": "/my-bucket/config.cfg",
  "source_type": "File",
  "destination": "/usr/share/configs",
  "create_time": "2022-01-01 00:00:00.000000",
  "last_updated": "2022-01-01 00:00:00.000000"
}

List All Pull Profile of an Endpoint Storage

get

List all pull profiles of an endpoint storage.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
查询参数
pageinteger · 最小值: 1可选Example: 2
limitinteger · 最小值: 1可选Example: 20
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
200

Success

application/json
total_countinteger必填Example: 100
get/v1/storage/endpoint/{endpoint_name}/pull-profiles
GET /v1/storage/endpoint/{endpoint_name}/pull-profiles HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "pull_profiles": [
    {
      "name": "pull_profile_name",
      "source": "/my-bucket/config.cfg",
      "source_type": "File",
      "destination": "/usr/share/configs",
      "create_time": "2022-01-01 00:00:00.000000",
      "last_updated": "2022-01-01 00:00:00.000000"
    }
  ],
  "total_count": 100,
  "pagination": {
    "number": 1,
    "next_page_number": 2,
    "previous_page_number": 1,
    "paginator": {
      "num_pages": 10
    },
    "has_next": true,
    "has_previous": false
  }
}

Link a Pull Profile to an Application Version

put

Link a pull profile to an app version. Without a link, the pull profile by itself will do nothing.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
pull_profile_namestring必填
app_namestring必填
version_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
200

Success

application/json
appstring必填

Name of the linked app of the linked version

Example: app_name
app_versionstring必填

Name of the linked app version.

Example: version_name
endpointstring必填

Name of the endpoint storage

Example: endpoint_name
pull_profilestring必填

Name of the pull profile the app version is linked to.

Example: pull_profile_name
create_timestring可选

UTC time of link creation

Example: 2022-01-01 00:00:00.000000
last_updatedstring可选

UTC time of link last update

Example: 2022-01-01 00:00:00.000000
put/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}/app/{app_name}/version/{version_name}
PUT /v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}/app/{app_name}/version/{version_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "app": "app_name",
  "app_version": "version_name",
  "endpoint": "endpoint_name",
  "pull_profile": "pull_profile_name",
  "create_time": "2022-01-01 00:00:00.000000",
  "last_updated": "2022-01-01 00:00:00.000000"
}

Update a Pull Profile

patch

Update a pull profile with new specifications.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
pull_profile_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
请求体
any可选
响应
200

Success

application/json
namestring可选

Name of the pull profile

Example: pull_profile_name
sourcestring可选

Source in the S3 bucket to fetch from

Example: /my-bucket/config.cfg
source_typestring · enum可选

If the source is a File or a Directory

Example: File可能的值:
destinationstring可选

Destination path where your source will be uploaded in your container. Make sure to avoid protected destinations, such as /etc/, as this will prevent the files from being copied to your deployment, and will make your deployment fail. Make sure a normal user can write to the destination folder.

Example: /usr/share/configs
create_timestring可选

UTC time of pull profile creation

Example: 2022-01-01 00:00:00.000000
last_updatedstring可选

UTC time of pull profile last update

Example: 2022-01-01 00:00:00.000000
patch/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}
PATCH /v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
{
  "name": "pull_profile_name",
  "source": "/my-bucket/config.cfg",
  "source_type": "File",
  "destination": "/usr/share/configs",
  "create_time": "2022-01-01 00:00:00.000000",
  "last_updated": "2022-01-01 00:00:00.000000"
}

Unlink a Pull Profile From an Application Version

delete

Unlink a pull profile from an app version. It will not delete the pull profile.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
pull_profile_namestring必填
app_namestring必填
version_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
204

Success

无内容

delete/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}/app/{app_name}/version/{version_name}
DELETE /v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}/app/{app_name}/version/{version_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*

无内容

Delete a Pull Profile

delete

Delete a pull profile. All the application versions linked won't receive the data upload anymore. It will not delete your endpoint storage.

授权
Authorizationstring必填
路径参数
endpoint_namestring必填
pull_profile_namestring必填
头参数
Acceptstring可选Example: */*
Content-Typestring必填Example: application/json
响应
204

No Content

无内容

delete/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}
DELETE /v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*

无内容

最后更新于

这有帮助吗?